#
# spec file for package rubygem-term-ansicolor
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-term-ansicolor
Version:        1.6.0
Release:        lp150.1.5
%define mod_name term-ansicolor
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://flori.github.com/term-ansicolor
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby library that colors strings using ANSI escape sequences
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
This library uses ANSI escape sequences to control the attributes of terminal
output.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGES COPYING README.md" \
  -f

%gem_packages

%changelog
* Fri Apr 14 2017 coolo@suse.com
- updated to version 1.6.0
  see installed CHANGES
* Wed Mar 29 2017 coolo@suse.com
- updated to version 1.5.0
  see installed CHANGES
* Sat Mar 25 2017 coolo@suse.com
- updated to version 1.4.1
  see installed CHANGES
  2017-03-24 - 1.4.1 * Correct triple html color support
* Wed Sep 28 2016 coolo@suse.com
- updated to version 1.4.0
  see installed CHANGES
  2016-09-27 - 1.4.0 * Extend colorized strings with Term::ANSIColor
* Sat Jul 25 2015 coolo@suse.com
- add explicit conflict to colordiff and avoid renaming
* Mon Jul 20 2015 coolo@suse.com
- updated to version 1.3.2
  see installed CHANGES
  2015-06-23 - 1.3.2 * Fix release 1.3.1
  2014-06-17 - 1.3.1 * This release was a bit premature, yanked it.
  2014-02-06 - 1.3.0 * Support bright and faint color names.
* Sat Mar 15 2014 coolo@suse.com
- updated to version 1.3.0, no changelog
* Mon Jun  3 2013 coolo@suse.com
- updated to version 1.2.2
  * No more fun and smileys, now you have to call term_display
  yourself.
  * term_display can now display image URLs directly.
  * Merge patch from Gavin Kistner <gavin@phrogz.net> to
  prevent warnings when running in -w mode.
* Sat May 25 2013 coolo@suse.com
- updated to version 1.2.1
  * Prevent warnings when running in -w mode.
* Fri May 17 2013 coolo@suse.com
- updated to version 1.2.0
  * Many more examples
* Sun Apr 21 2013 coolo@suse.com
- updated to version 1.1.5
  * Add colortab executable to rubygem binary config
* Sat Apr 20 2013 coolo@suse.com
- avoid conflict with colordiff
* Sat Apr 13 2013 coolo@suse.com
- updated to version 1.1.4
  * Easier access to color attributes via color(123) or
  approximate html colors like color('#336caf').
  * Fix a bug where respond_to could overflow the stack.
  * Change the API: color0 - color255 to color(:color0) -
  color(:color255), and on_color0 to on_color(:color0) -
  on_color(:color255); the previous way caused some
  failures, sorry. On the plus side you can now do
  color('#4a6ab4') and get the nearest terminal color to
  this html color.
  * Add colortab executable to display the 255 colors and
  related HTML colors.
* Mon Mar 18 2013 coolo@suse.com
- updated to version 1.1.1
  * Avoid possible conflicts with other people's attributes
  methods.
  * Cache attributes globally, also fix caching for frozen
  strings.
  * Cleanup documentation.
  * Implement color0 - color255 and on_color0 - on_color255
  methods for xterm256 colors.
  * Merged patch by Mike Bethany <mikbe.tk@gmail.com> that
  adds high intensity colors and backgrounds.
  * Fix problem caused by Ruby 1.9 implementing String#clear
  * now, reported by Joe Fiorini <joe@joefiorini.com>.
* Wed Aug 24 2011 fcastelli@novell.com
- add provides rubygem-term-ansicolor-1_0
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.0.5
  * Added cdiff example as an executable.
  * Disabled building of gemspec file.
  * Made an decolor executable, that removes colors from an io
    stream.
  * Match an additional way to clear the color in the
    COLORED_REGEXP for the uncolored method.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 1.0.4
* Tue Mar 31 2009 mrueckert@suse.de
- initial package
